/**
 * @file main.c
 * @author Florian Burgener
 * @brief Exercice 1
 * @version 1.0
 * @date 2021-12-07
 * 
 * @copyright Copyright (c) 2021
 * 
 */

#include <ctype.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main() {
    // 80 characters + 1 (null character).
    char str1[81];
    char str2[81];

    scanf("%s", str1);
    scanf("%s", str2);
    printf("%s\n", str1);

    if (strlen(str1) != strlen(str2)) {
        // Strings do not have the same length.
        printf("\ndistance: -1\n");
        return EXIT_FAILURE;
    }

    int32_t distance = 0;
    
    // Calculation of the distance.
    for (int32_t i = 0; i < (int32_t)strlen(str1); i += 1) {
        distance += abs(toupper(str1[i]) - toupper(str2[i]));
    }

    printf("\ndistance: %d\n", distance);
    return EXIT_SUCCESS;
}